administrator — mas-barrings@masmovil.com
| Resource | Description |
|---|---|
| Masks | Barrings operations masks |
| Services | Barrings operations services |
| Operations | Barrings regularization |
administrator — mas-barrings@masmovil.com
| Resource | Description |
|---|---|
| Masks | Barrings operations masks |
| Services | Barrings operations services |
| Operations | Barrings regularization |
Gets the barring masks catalogue
PATH PARAMETERS
A masmovil tenant
QUERY PARAMETERS
The operation type code of the mask
The name code of the mask
The subscription type code of the mask
OK Successfully returned the barring mask catalogue
[
{
"id": 10,
"code": "DEBT_MOBILE_LP",
"description": "Line services suspension due to debt",
"name": "Redireccion Internet",
"operationTypeCode": "DEBT",
"subscriptionTypeCode": "MOBILE",
"services": [
{
"id": 10,
"code": "OUTGOING_VOICE",
"description": "Outgoing Voice"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | integer (int64) | Mask Id | ||||||||||||||||||||||
code* | string | Barrings mask code, external identifier | ||||||||||||||||||||||
description | string | Barrings mask description | ||||||||||||||||||||||
name | string | Barrings mask business name | ||||||||||||||||||||||
operationTypeCode | string | Operation type group code | ||||||||||||||||||||||
subscriptionTypeCode | string | Subscription type code | ||||||||||||||||||||||
services | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/orgs/masmovil/masks?operationTypeCode=DEBT&code=DEBT_MOBILE_HOTLP&subscriptionType=MOBILE' \
-H 'Accept: application/json' Return a mask if exists
PATH PARAMETERS
A masmovil tenant
Mask Id
OK The mask
{
"id": 10,
"code": "DEBT_MOBILE_LP",
"description": "Line services suspension due to debt",
"name": "Redireccion Internet",
"operationTypeCode": "DEBT",
"subscriptionTypeCode": "MOBILE",
"services": [
{
"id": 10,
"code": "OUTGOING_VOICE",
"description": "Outgoing Voice"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | integer (int64) | Mask Id | ||||||||||||||||||||||
code* | string | Barrings mask code, external identifier | ||||||||||||||||||||||
description | string | Barrings mask description | ||||||||||||||||||||||
name | string | Barrings mask business name | ||||||||||||||||||||||
operationTypeCode | string | Operation type group code | ||||||||||||||||||||||
subscriptionTypeCode | string | Subscription type code | ||||||||||||||||||||||
services | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found Not Found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Unexpected error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/orgs/masmovil/masks/1' \
-H 'Accept: application/json' Get masks applied to a subscription
PATH PARAMETERS
A masmovil tenant
Subscription identifier
OK Successfully returned the masks associated to a subscription.
[
"DEBT_MOBILE_LP"
] Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/masks' \
-H 'Accept: application/json' Request a barring masks set operation over a subscription.
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Contains the operation and the masks code set, that contains the barrings masks to operate over a subscription
{
"action": "APPLY",
"barringsMasksCodes": [
"string"
],
"reason": "MIGRATION"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
action* | string
()
APPLYREMOVE | Action of the operation, the operation that applies the set of masks provided | ||
barringsMasksCodes* | string[] | minItems: 1, uniqueItems | ||
reason | string
()
DEBTRISKMIGRATIONATCCUST | Reason of barring operation | minItems: 1 |
Accepted Successfully accepted the operation request, returned the evaluation of mask, network services new status application pending
{
"externalId": "1234451112-a3a2"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId* | string | External identifier of the business process operation triggered and associated to the request |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found SubscriptionId not found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Conflict Conflict to apply or remove barrings with subscription with invalid status
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X PATCH 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/masks' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"action": "APPLY",
"barringsMasksCodes": [
"string"
],
"reason": "MIGRATION"
}' Get deferred masks that will be applied to a subscription
PATH PARAMETERS
A masmovil tenant
Subscription identifier
OK Successfully returned the deferred masks that will be applied to the subscription.
[
{
"mask": "CUST_ORANGETV_RESTRICTED",
"deferredDate": "2025-02-01T09:00:00Z"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
mask* | string | |||
deferredDate* | string (date-time) |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/masks/deferred' \
-H 'Accept: application/json' Request a barring masks set operation over a prepaid subscription.
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Contains the operation and the masks code set, that contains the barrings masks to operate over a prepaid subscription
{
"action": "APPLY",
"barringsMasksCodes": [
"string"
],
"reason": "MIGRATION",
"deferredDate": "2025-02-01T09:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
action* | string
()
APPLYREMOVE | Action of the operation, the operation that applies the set of masks provided | ||
barringsMasksCodes* | string[] | minItems: 1, uniqueItems | ||
reason | string
()
DEBTRISKMIGRATIONATCCUST | Reason of barring operation | minItems: 1 | |
deferredDate | string (date-time) | Date when the barring will be applied |
Accepted Successfully accepted the operation request, returned the evaluation of mask, network services new status application pending
{
"externalId": "1234451112-a3a2"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId* | string | External identifier of the business process operation triggered and associated to the request |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found SubscriptionId not found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Conflict Conflict to apply or remove barrings with subscription with invalid status
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X PATCH 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/masks/prepaid' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"action": "APPLY",
"barringsMasksCodes": [
"string"
],
"reason": "MIGRATION",
"deferredDate": "2025-02-01T09:00:00Z"
}' Return a history list of of barred masks
PATH PARAMETERS
A masmovil tenant
Subscription identifier
OK History list of masks
[
{
"id": 1,
"mask": {
"id": 14,
"code": "DEBT_MOBILE_RESTRICTED",
"name": "Restringido",
"description": "DEBT_MOBILE_RESTRICTED description"
},
"operation": "APPLY",
"subscription_id": 14,
"user": "MB_username",
"date": "2025-01-15T10:30:00Z"
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | integer (int64) | history id | |||||||||||||||||||||||||||
mask* | object | ||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||
operation* | string
()
APPLYREMOVE | ||||||||||||||||||||||||||||
subscription_id* | string | subscription id | |||||||||||||||||||||||||||
user* | string | ||||||||||||||||||||||||||||
date* | string (date-time) | ||||||||||||||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Unexpected error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/masks/history' \
-H 'Accept: application/json' Request a service
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Service identifier
OK OK
{
"serviceId": 1111,
"serviceName": "OUTGOING_VOICE",
"active": true,
"statusReason": [
"string"
],
"order": {
"running": true,
"orders": [
"string"
]
},
"date": "2024-01-01T00:00:00Z",
"username": "MB_Limits"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
serviceId* | integer (int64) | Service Id | |||||||||||||||||
serviceName* | string | Service Name | |||||||||||||||||
active* | boolean | Service status | |||||||||||||||||
statusReason* | string[] | ||||||||||||||||||
order* | object | ||||||||||||||||||
| |||||||||||||||||||
date* | string (date-time) | Date when the service status was last updated | |||||||||||||||||
username | string | User who performed the last service status update | |||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found Not found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/services/11111' \
-H 'Accept: application/json' Request a service barring over a subscription.
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Service identifier
Contains services set and the reason to operate over a subscription
{
"reason": "CUST",
"active": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reason* | string
()
CUSTPROD | Reason | ||
active* | boolean |
Accepted Successfully accepted the operation request, returned the externalId and subscriptionId
{
"externalId": "1234451112-a3a2"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId* | string | External identifier of the business process operation triggered and associated to the request |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X PATCH 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/services/11111' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"reason": "CUST",
"active": true
}' Request all subscription service
PATH PARAMETERS
A masmovil tenant
Subscription identifier
OK OK
[
{
"serviceId": 1111,
"serviceName": "OUTGOING_VOICE",
"active": true,
"statusReason": [
"string"
],
"order": {
"running": true,
"orders": [
"string"
]
},
"date": "2024-01-01T00:00:00Z",
"username": "MB_Limits"
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
serviceId* | integer (int64) | Service Id | |||||||||||||||||
serviceName* | string | Service Name | |||||||||||||||||
active* | boolean | Service status | |||||||||||||||||
statusReason* | string[] | ||||||||||||||||||
order* | object | ||||||||||||||||||
| |||||||||||||||||||
date* | string (date-time) | Date when the service status was last updated | |||||||||||||||||
username | string | User who performed the last service status update | |||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/services' \
-H 'Accept: application/json' Request services barring over a subscription.
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Contains services set and the reason to operate over a subscription
{
"reason": "CUST",
"services": [
{
"serviceId": 10,
"active": true
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
reason* | string
()
CUSTPROD | Reason | |||||||||||||||||
services* | object[] | minItems: 1, uniqueItems | |||||||||||||||||
Array items:
| |||||||||||||||||||
Accepted Successfully accepted the operation request, returned the externalId and subscriptionId
{
"externalId": "1234451112-a3a2"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId* | string | External identifier of the business process operation triggered and associated to the request |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X PATCH 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/services' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"reason": "CUST",
"services": [
{
"serviceId": 10,
"active": true
}
]
}' Request service status history
PATH PARAMETERS
A masmovil tenant
Subscription identifier
QUERY PARAMETERS
Service identifier
OK OK
[
{
"id": 1,
"subscriptionId": 14,
"serviceId": 1,
"serviceName": "ROAMING",
"serviceStatus": true,
"operationTypeId": 1,
"operationType": "CUST",
"username": "barrings",
"updateDate": "2024-11-19T09:34:10Z"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | integer (int64) | The history id | ||
subscriptionId* | string | The subscription id | ||
serviceId* | integer (int64) | The service id | ||
serviceName* | string | The service name | ||
serviceStatus* | boolean | The service status (true = active, false = inactive) | ||
operationTypeId* | integer (int64) | The operation type id | ||
operationType* | string | The operation type code | ||
username* | string | The username | ||
updateDate* | string (date-time) | The update date |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found Not Found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/orgs/masmovil/subscriptions/22222/services/history?serviceId=10' \
-H 'Accept: application/json' Request all operations
OK List with all operations
[
{
"id": 44444,
"username": "MB_admin",
"userReason": "Remove debt from subscriptions",
"requestDate": "2024-11-19T09:34:10Z",
"fileName": "debt-2025-06.csv",
"status": 1,
"requestedQuantity": 321,
"requestedCompleted": 321,
"requestedError": 321,
"requestedUnprocessed": 321
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | The regularization id | ||
username* | string | User who performs the regularization | ||
userReason* | string | Reason to perform the regularization | ||
requestDate* | string (date-time) | The date of the regularization | ||
fileName* | string | Name of the csv file related to the regularization | ||
status | integer (int64) | The regularization status | ||
requestedQuantity | integer (int64) | The quantity of subscriptions (lines of the csv) to regularize | ||
requestedCompleted | integer (int64) | The quantity of subscriptions (lines of the csv) regularized ok | ||
requestedError | integer (int64) | The quantity of subscriptions (lines of the csv) regularized ko | ||
requestedUnprocessed | integer (int64) | The quantity of subscriptions (lines of the csv) unprocessed |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/operations' \
-H 'Accept: application/json' Upload file with subscriptions to regularization.
Contains the CSV file with regularization data and a string reason for the operation.
{
"file": "string",
"reason": "Regularization for debt masks."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
file* | string (binary) | The CSV file containing the regularization data. | ||
reason* | string | A string explaining the reason for this regularization. |
Accepted File uploaded successfully
{
"fileName": "regularization_data.csv",
"message": "File uploaded successfully."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
fileName | string | The name of the file that was uploaded. | ||
message | string | A confirmation message indicating the status of the upload. |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found SubscriptionId not found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X POST 'https://barrings.masstack.com/v3/operations' \
-H 'Accept: application/json' \
-F 'file=@/path/to/file;type=text/csv' \
-F 'reason=Regularization for debt masks.' Return all operations items associated to regularization id
PATH PARAMETERS
Regularization identifier
QUERY PARAMETERS
Number of items to skip (for pagination)
Maximum number of items to return (for pagination)
OK List with all operations items by id
[
{
"id": 44444,
"tenant": "yoigo",
"subscriptionId": 44444,
"status": 1,
"operation": "APPLY",
"masks": "DEBT_MOBILE_HOTLP,DEBT_MOBILE_RESTRICTED",
"subscriptionType": "MOBILE"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | The regularization item id | ||
tenant* | string | The subscription tenant | ||
subscriptionId* | string | The subscription id | ||
status* | integer (int64) | The regularization item status | ||
operation* | string | The operation to perform | ||
masks* | string | A comma separated list of mask to operate | ||
subscriptionType | string | The subscription type |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v3/operations/22222/items?offset=0&limit=20' \
-H 'Accept: application/json'